package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.kexun.common.utils.Result;
import com.kexun.entity.*;
import com.kexun.service.BusinessService;
import com.kexun.service.CooperatorService;
import com.kexun.service.CustomInfoService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

@RestController
@RequestMapping("/admin/business")
@Log
public class BusinessController {

    @Autowired
    private com.kexun.service.BusinessService BusinessService;

    @Autowired
    private CustomInfoService CustomInfoService;

    // 获取待办业务列表
    @GetMapping("businessToDoList")
    public Result businessToDoList() {

        JSONObject resJson=new JSONObject();
        List<BusinessInfo> list= BusinessService.queryToDoList();
        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        resJson.put("business_todo_list",list);
        return Result.success("ok",resJson);
    }

    // 获取解析业务列表
    @GetMapping("businessAnalysisList")
    public Result businessAnalysisList() {
        JSONObject resJson=new JSONObject();
        List<BusinessInfo> list= BusinessService.queryAnalysisList();
        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        resJson.put("business_todo_list",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }

    @GetMapping("businessFailList")
    public Result businessFailList() {
        JSONObject resJson=new JSONObject();
        List<BusinessInfo> list= BusinessService.queryFailList();
        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        resJson.put("business_todo_list",list);

        return Result.success("ok",resJson);
    }

    @GetMapping("findBusinessInfoByNum/{businessNum}")
    public Result findBusinessInfoByNum(@PathVariable("businessNum") String businessNum){
        JSONObject resJson=new JSONObject();
        BusinessInfo list = BusinessService.QueryBusinessInfoByNum(businessNum);
        resJson.put("business_info",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }

    @GetMapping("findCustomInfoByNum/{businessNum}")
    public Result findCustomInfoByNum(@PathVariable("businessNum") String businessNum){
        JSONObject resJson=new JSONObject();
        CustomInfo list1 = CustomInfoService.QueryCustomInfo(businessNum);
        List<CustomInfo> list2 = CustomInfoService.QueryCustomTelephone(businessNum);
        List<CustomInfo> list3 = CustomInfoService.QueryCustomAddress(businessNum);

        System.out.println(list3);
        String telephonelist = "";
        for(int i=0; i<list2.size(); i++)
        {
            CustomInfo customInfo = list2.get(i);
            telephonelist += (customInfo.telephone);
            telephonelist += ";  ";
        }

        String addresslist = "";
        for(int i=0; i<list3.size(); i++)
        {
            CustomInfo customInfo = list3.get(i);
            addresslist += (customInfo.address);
            addresslist += ";  ";
        }
        list1.telephone = telephonelist;
        list1.address = addresslist;
        System.out.println(list1);

        resJson.put("custom_info",list1);


        return Result.success("ok",resJson);
    }

}
