package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.*;
import com.kexun.service.CooperatorService;
import com.kexun.service.CustomInfoService;
import com.kexun.service.ReportService;
import lombok.extern.java.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ResourceUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

@RestController
@RequestMapping("/admin/report")
@Log
public class ReportController {

    @Autowired
    private com.kexun.service.ReportService reportService;


    @GetMapping("reportFileList")
    public Result businessToDoList() {
        JSONObject resJson=new JSONObject();
        List<ReportFile> list= reportService.list();
        for(int i=0; i<list.size(); i++)
        {
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        resJson.put("report_file_list",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }
    @GetMapping("del")
    public Result del(@RequestParam Long id) {
        System.out.println("role");
        System.out.println(id);

        reportService.removeById(id);
        return Result.success();
    }




    @PostMapping("download")
    public void  download(@RequestBody String json)  {
        // 获得待下载文件所在文件夹的绝对路径
        JSONObject req = JSON.parseObject(json);
        String fileName = req.getString("file_name");
        System.out.println(fileName);
        reportService.download(fileName);

    }

    @PostMapping("fileReportAdd")
    public Result fileReportAdd(@RequestBody String json)
    {
        JSONObject req = JSON.parseObject(json);
        ReportFile reportFile = new ReportFile();
        reportFile.setFileName(req.getString("file_name"));
        reportFile.setFileNameXml(req.getString("fileNameXml"));
        reportFile.setFileNameTxt(req.getString("fileNameTxt"));
        reportFile.setFileNameModel(req.getString("fileModel"));


        Calendar calendar= Calendar.getInstance();
        SimpleDateFormat dateFormat= new SimpleDateFormat("yyyy-MM-dd :HH:mm:ss");
        reportFile.setCreateTime(dateFormat.format(calendar.getTime()));
        // System.out.println(dateFormat.format(calendar.getTime()));
        reportService.save(reportFile);

        return Result.success();
    }
}
