package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 配偶信息 
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_base_marriage")
@ApiModel(value="BaseMarriageEntity对象", description="配偶信息 ")
public class BaseMarriageEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件类型代码")
    @TableField("id_type_code")
    private String idTypeCode;

    @ApiModelProperty(value = "证件类型描述")
    @TableField("id_type_desc")
    private String idTypeDesc;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "婚姻状况代码")
    @TableField("mar_statu_code")
    private String marStatuCode;

    @ApiModelProperty(value = "婚姻状况描述")
    @TableField("mar_statu_desc")
    private String marStatuDesc;

    @ApiModelProperty(value = "配偶姓名")
    @TableField("spuose_name")
    private String spuoseName;

    @ApiModelProperty(value = "配偶证件类型代码")
    @TableField("cert_type_code")
    private String certTypeCode;

    @ApiModelProperty(value = "配偶证件类型描述")
    @TableField("cert_type_desc")
    private String certTypeDesc;

    @ApiModelProperty(value = "配偶证件号码")
    @TableField("cert_num")
    private String certNum;

    @ApiModelProperty(value = "配偶工作单位")
    @TableField("company")
    private String company;

    @ApiModelProperty(value = "配偶联系电话")
    @TableField("tel_num")
    private String telNum;


}
