package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 职业信息
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_base_vocation")
@ApiModel(value="BaseVocationEntity对象", description="职业信息")
public class BaseVocationEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件类型代码")
    @TableField("id_type_code")
    private String idTypeCode;

    @ApiModelProperty(value = "证件类型描述")
    @TableField("id_type_desc")
    private String idTypeDesc;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "就业状况代码")
    @TableField("word_status_code")
    private String wordStatusCode;

    @ApiModelProperty(value = "就业状况描述")
    @TableField("word_status_desc")
    private String wordStatusDesc;

    @ApiModelProperty(value = "单位性质代码")
    @TableField("cpn_type_code")
    private String cpnTypeCode;

    @ApiModelProperty(value = "单位性质描述")
    @TableField("cpn_type_desc")
    private String cpnTypeDesc;

    @ApiModelProperty(value = "行业代码")
    @TableField("trade_code")
    private String tradeCode;

    @ApiModelProperty(value = "行业描述")
    @TableField("trade_desc")
    private String tradeDesc;

    @ApiModelProperty(value = "职业代码")
    @TableField("vocation_code")
    private String vocationCode;

    @ApiModelProperty(value = "职业描述")
    @TableField("vocation_desc")
    private String vocationDesc;

    @ApiModelProperty(value = "职务代码")
    @TableField("title_code")
    private String titleCode;

    @ApiModelProperty(value = "职务描述")
    @TableField("title_desc")
    private String titleDesc;

    @ApiModelProperty(value = "职称代码")
    @TableField("vocation_title_code")
    private String vocationTitleCode;

    @ApiModelProperty(value = "职称描述")
    @TableField("vocation_title_desc")
    private String vocationTitleDesc;

    @ApiModelProperty(value = "工作单位")
    @TableField("company")
    private String company;

    @ApiModelProperty(value = "单位地址")
    @TableField("cpn_address")
    private String cpnAddress;

    @ApiModelProperty(value = "单位电话")
    @TableField("cpn_tel_num")
    private String cpnTelNum;

    @ApiModelProperty(value = "进入本单位年份")
    @TableField("begin_year")
    private String beginYear;

    @ApiModelProperty(value = "信息更新日期")
    @TableField("update_date_info")
    private String updateDateInfo;


}
