package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 其它证件信息
 * </p>
 *
 * @author lgs
 * @since 2023-05-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_head_other_id")
@ApiModel(value="CrHeadOtherIdEntity对象", description="其它证件信息")
public class CrHeadOtherIdEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "主证件类型代码")
    @TableField("id_type_code")
    private String idTypeCode;

    @ApiModelProperty(value = "主查询者证件类型描述")
    @TableField("id_type_desc")
    private String idTypeDesc;

    @ApiModelProperty(value = "主查询者姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "主查询证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "其他证件类型代码")
    @TableField("other_cre_type_code")
    private String otherCreTypeCode;

    @ApiModelProperty(value = "其他证件类型描述")
    @TableField("other_cre_type_desc")
    private String otherCreTypeDesc;

    @ApiModelProperty(value = "其他证件号码")
    @TableField("other_cre_number")
    private String otherCreNumber;


}
