package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 字段分类表
 * </p>
 *
 * @author lgs
 * @since 2023-06-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("field_type")
@ApiModel(value="FieldTypeEntity对象", description="字段分类表")
public class FieldTypeEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类别编号")
    @TableField("type_no")
    private String typeNo;

    @ApiModelProperty(value = "类别名称")
    @TableField("type_name")
    private String typeName;

    @ApiModelProperty(value = "类别中文名称")
    @TableField("type_name_zh")
    private String typeNameZh;

    @ApiModelProperty(value = "类别层级")
    @TableField("type_level")
    private String typeLevel;

    @ApiModelProperty(value = "父级编号")
    @TableField("parent_no")
    private String parentNo;

    @ApiModelProperty(value = "类别JSON名")
    @TableField("type_json")
    private String typeJson;


}
