package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 强制执行记录
 * </p>
 *
 * @author lgs
 * @since 2023-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_pub_enforcemen")
@ApiModel(value="PubEnforcemenEntity对象", description="强制执行记录")
public class PubEnforcemenEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "执行法院")
    @TableField("exe_court")
    private String exeCourt;

    @ApiModelProperty(value = "执行案由")
    @TableField("exe_cause")
    private String exeCause;

    @ApiModelProperty(value = "立案日期")
    @TableField("filing_date")
    private String filingDate;

    @ApiModelProperty(value = "结案方式代码")
    @TableField("close_code")
    private String closeCode;

    @ApiModelProperty(value = "结案方式描述")
    @TableField("close_desc")
    private String closeDesc;

    @ApiModelProperty(value = "案件状态")
    @TableField("case_status")
    private String caseStatus;

    @ApiModelProperty(value = "结案日期")
    @TableField("closing_date")
    private String closingDate;

    @ApiModelProperty(value = "申请执行标的")
    @TableField("ask_exe_sub")
    private String askExeSub;

    @ApiModelProperty(value = "申请执行标的金额")
    @TableField("ask_exe_money")
    private BigDecimal askExeMoney;

    @ApiModelProperty(value = "已执行标的")
    @TableField("exed_obj")
    private String exedObj;

    @ApiModelProperty(value = "已执行标的金额")
    @TableField("exed_obj_amt")
    private BigDecimal exedObjAmt;


}
