package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 信贷交易贷款账号汇总
 * </p>
 *
 * @author lgs
 * @since 2023-06-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_smry_acc_info")
@ApiModel(value="SmryAccInfoEntity对象", description="信贷交易贷款账号汇总")
public class SmryAccInfoEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "账号类别 D1-非循环贷账户;R4-循环额度下分账户;R1-循环贷账户")
    @TableField("acc_type")
    private String accType;

    @ApiModelProperty(value = "管理机构数")
    @TableField("manage_org_num")
    private Integer manageOrgNum;

    @ApiModelProperty(value = "账户数")
    @TableField("acc_sum")
    private Integer accSum;

    @ApiModelProperty(value = "授信总额")
    @TableField("credit_sum")
    private BigDecimal creditSum;

    @ApiModelProperty(value = "余额")
    @TableField("balance")
    private BigDecimal balance;

    @ApiModelProperty(value = "最近6个月平均应还款")
    @TableField("lately6mon")
    private BigDecimal lately6mon;


}
