package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 信贷交易明细最新表现信息
 * </p>
 *
 * @author lgs
 * @since 2023-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_trs_late")
@ApiModel(value="TrsLateEntity对象", description="信贷交易明细最新表现信息")
public class TrsLateEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "账户编号")
    @TableField("acct_no")
    private String acctNo;

    @ApiModelProperty(value = "账户状态代码")
    @TableField("acct_status_code")
    private String acctStatusCode;

    @ApiModelProperty(value = "账户状态描述")
    @TableField("acct_status_desc")
    private String acctStatusDesc;

    @ApiModelProperty(value = "账户关闭日期")
    @TableField("settle_date")
    private String settleDate;

    @ApiModelProperty(value = "转出月份")
    @TableField("rollout_date")
    private String rolloutDate;

    @ApiModelProperty(value = "余额")
    @TableField("balance")
    private BigDecimal balance;

    @ApiModelProperty(value = "最近一次还款日期")
    @TableField("repay_date")
    private String repayDate;

    @ApiModelProperty(value = "最近一次还款金额")
    @TableField("repay_amt")
    private BigDecimal repayAmt;

    @ApiModelProperty(value = "五级分类代码")
    @TableField("five_cate_code")
    private String fiveCateCode;

    @ApiModelProperty(value = "五级分类描述")
    @TableField("five_cate_desc")
    private String fiveCateDesc;

    @ApiModelProperty(value = "还款状态代码")
    @TableField("rpy_status_code")
    private String rpyStatusCode;

    @ApiModelProperty(value = "还款状态描述")
    @TableField("rpy_status_desc")
    private String rpyStatusDesc;

    @ApiModelProperty(value = "信息报告日期")
    @TableField("report_date")
    private String reportDate;


}
