package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 最近一次月度表现信息
 * </p>
 *
 * @author lgs
 * @since 2023-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_trs_late_month")
@ApiModel(value="TrsLateMonthEntity对象", description="最近一次月度表现信息")
public class TrsLateMonthEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "账户编号")
    @TableField("acct_no")
    private String acctNo;

    @ApiModelProperty(value = "月份")
    @TableField("status_end_date")
    private Date statusEndDate;

    @ApiModelProperty(value = "账户状态代码")
    @TableField("acct_statu_code")
    private String acctStatuCode;

    @ApiModelProperty(value = "账户状态描述")
    @TableField("acct_statu_desc")
    private String acctStatuDesc;

    @ApiModelProperty(value = "余额")
    @TableField("busi_bal")
    private BigDecimal busiBal;

    @ApiModelProperty(value = "已用额度")
    @TableField("acct_bal")
    private BigDecimal acctBal;

    @ApiModelProperty(value = "未出单的大额专项分期余额")
    @TableField("inst_bal")
    private BigDecimal instBal;

    @ApiModelProperty(value = "五级分类代码")
    @TableField("five_cate_code")
    private String fiveCateCode;

    @ApiModelProperty(value = "五级分类描述")
    @TableField("five_cate_desc")
    private String fiveCateDesc;

    @ApiModelProperty(value = "剩余还款期数")
    @TableField("rem_rep_prd")
    private Integer remRepPrd;

    @ApiModelProperty(value = "结算/应还款日")
    @TableField("sett_date")
    private String settDate;

    @ApiModelProperty(value = "本月应还款")
    @TableField("curr_py_amt")
    private BigDecimal currPyAmt;

    @ApiModelProperty(value = "本月实还款")
    @TableField("act_rpy_amt")
    private BigDecimal actRpyAmt;

    @ApiModelProperty(value = "最近一次还款日期")
    @TableField("latr_py_date")
    private Date latrPyDate;

    @ApiModelProperty(value = "当前逾期期数")
    @TableField("overd_prd")
    private Integer overdPrd;

    @ApiModelProperty(value = "当前逾期总额")
    @TableField("tot_overd")
    private BigDecimal totOverd;

    @ApiModelProperty(value = "逾期31-60天未还本金")
    @TableField("overd_31_60_princ")
    private BigDecimal overd3160Princ;

    @ApiModelProperty(value = "逾期61-90天未还本金")
    @TableField("overd_61_90_princ")
    private BigDecimal overd6190Princ;

    @ApiModelProperty(value = "逾期91-180天未还本金")
    @TableField("overd_91_180_princ")
    private BigDecimal overd91180Princ;

    @ApiModelProperty(value = "逾期180天以上未还本金")
    @TableField("overd_princove_180")
    private BigDecimal overdPrincove180;

    @ApiModelProperty(value = "透支180天以上未付余额")
    @TableField("overdraw_baove_180")
    private BigDecimal overdrawBaove180;

    @ApiModelProperty(value = "最近6个月平均使用额度")
    @TableField("avg_use_amount")
    private BigDecimal avgUseAmount;

    @ApiModelProperty(value = "最近6个月平均透支余额")
    @TableField("lat_six_mn_avg_ovdft_bal")
    private BigDecimal latSixMnAvgOvdftBal;

    @ApiModelProperty(value = "最大使用额度")
    @TableField("max_use_amount")
    private BigDecimal maxUseAmount;

    @ApiModelProperty(value = "最大透支余额")
    @TableField("max_over_draft_bal")
    private BigDecimal maxOverDraftBal;

    @ApiModelProperty(value = "信息报告日期")
    @TableField("report_date_info")
    private Date reportDateInfo;


}
