package com.kexun.model.ro;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description: 字段定义创建RO
 *
 * @author lgs
 * @date 2023/06/25
 */
@Data
public class FiledCreateRO implements Serializable {

    @ApiModelProperty(value = "字段编号 唯一")
    private String fieldNo;

    @ApiModelProperty(value = "字段名称")
    private String name;

    @ApiModelProperty(value = "中文名称")
    private String nameZh;

    @ApiModelProperty(value = "字段类别 1-基础字段;2-衍生字段")
    private String category;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "提取逻辑 1-直接提取;2-算法实现;3-复杂计算")
    private String fetchLogic;

    @ApiModelProperty(value = "算法公式")
    private String formulaExpr;

    @ApiModelProperty(value = "算法实现类")
    private String formulaClass;

    @ApiModelProperty(value = "算法调用方法")
    private String formulaMethod;

    @ApiModelProperty(value = "算法描述")
    private String formulaDesc;

    @ApiModelProperty(value = "所在json的key")
    private String jsonKey;

    @ApiModelProperty(value = "字段类别编号")
    private String typeNo;

    @ApiModelProperty(value = "启用状态")
    private String status;

}
