package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:信息概要. 2.10 相关还款责任汇总
 *
 * @author lgs
 * @date 2023/06/08
 */
@Data
public class SmryRepayInfo implements IXmlBase{

    /**
     * 借款人身份类别代码
     */
    @JSONField(name = "BOTYPECODE")
    private String boTypeCode;

    /**
     * 借款人身份类别描述
     */
    @JSONField(name = "BOTYPEDESC")
    private String boTypeDesc;

    /**
     * 相关还款责任类型代码
     */
    @JSONField(name = "RELPAYRESPCODE")
    private String relPayRespCode;

    /**
     * 相关还款责任类型描述
     */
    @JSONField(name = "RELPAYRESPDESC")
    private String relPayRespDesc;

    /**
     * 账户数
     */
    @JSONField(name = "ACCSUM")
    private Integer accSum;

    /**
     * 还款责任金额
     */
    @JSONField(name = "RELPAYRESPSUM")
    private BigDecimal relPayRespSum;

    /**
     * 余额
     */
    @JSONField(name = "BALANCE")
    private BigDecimal balance;
}
