package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.kexun.model.xml.IXmlBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:民事判决记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubCivilInf implements IXmlBase {

    /**
     * 立案法院
     */
    @JSONField(name = "COURT")
    private String court;

    /**
     * 案由
     */
    @JSONField(name = "CAUSEOFACTION")
    private String causeOfAction;

    /**
     * 立案日期
     */
    @JSONField(name = "FILINGDATE")
    private String filingDate;

    /**
     * 结案方式代码
     */
    @JSONField(name = "CLOSEMCODE")
    private String closeCaseCode;

    /**
     * 结案方式描述
     */
    @JSONField(name = "CLOSEMDESC")
    private String closeCaseDesc;

    /**
     * 判决/调解结果
     */
    @JSONField(name = "JUDRESULT")
    private String judResult;

    /**
     * 判决/调解生效日期
     */
    @JSONField(name = "JUDDATE")
    private String judDate;

    /**
     * 诉讼标的
     */
    @JSONField(name = "OBJECTOFACTION")
    private String subjectOfAction;

    /**
     * 诉讼标的金额
     */
    @JSONField(name = "OBJOFACTMONEY")
    private BigDecimal subjectOfAcitonAmt;
}
