package com.kexun.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.FieldDefineEntity;
import com.kexun.model.ro.FiledRO;
import com.kexun.model.ro.FiledUpdateRO;

import java.util.List;

/**
 * <p>
 * 字段定义表 服务类
 * </p>
 *
 * @author lgs
 * @since 2023-06-21
 */
public interface FieldDefineService extends IService<FieldDefineEntity> {

    /**
     * 根据查询条件分页查询字段定义
     * @param filedRO
     * @return
     */
    IPage<FieldDefineEntity> listPage(FiledRO filedRO);

    /**
     * 保存或者修改字段定义信息
     * @param filedUpdateRO
     */
    void saveOrUpdate(FiledUpdateRO filedUpdateRO);



    /**
     * 修改字段类型状态
     * @param id
     * @param status
     */
    void updateOnOff(Long id,String status);

    /**
     * 根据类别查询基础字段定义
     * @param oneLevel
     * @return
     */
    List<FieldDefineEntity> listFieldInfoByLevel(String oneLevel);

    FieldDefineEntity findByID(long id);


    List<FieldDefineEntity> selectPage();

    List<FieldDefineEntity> selectPage2();

}
