package com.kexun.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.FieldDefineEntity;
import com.kexun.entity.FieldTemplateEntity;
import com.kexun.model.ro.FiledTemplateCreateRO;
import com.kexun.model.ro.FiledTemplateRO;
import com.kexun.model.ro.FiledTemplateUpdateRO;
import com.kexun.model.vo.FiledTemplateVO;

import java.util.List;

/**
 *
 */

public interface FieldTemplateService extends IService<FieldTemplateEntity> {

    /**
     * 分页查询模板列表信息
     *
     * @param filedTemplateRO
     * @return
     */
    IPage<FieldTemplateEntity> listPage(FiledTemplateRO filedTemplateRO);

    List<FieldTemplateEntity> selectPage();

    /**
     * 保存模板关系表
     * @param filedTemplateCreateRO
     */
    void save(FiledTemplateCreateRO filedTemplateCreateRO);

    /**
     * 修改
     * @param filedTemplateUpdateRO
     */
    void saveOrUpdate(FiledTemplateUpdateRO filedTemplateUpdateRO);

    /**
     * 修改
     * @param filedTemplateUpdateRO
     */
    void update(FiledTemplateUpdateRO filedTemplateUpdateRO);

    /**
     * 修改字段类型状态
     * @param id 主键
     * @param status 状态
     */
    void updateOnOff(Long id,String status);

    /**
     * 删除字段模板
     * @param id
     */
    void delete(Long id);


    /**
     * 字段模板详情
     * @param id 主键
     * @return
     */
    FiledTemplateVO detail(Long id);

}
